Summary: gtkhtml library
Name: gtkhtml
Version: 1.1.9
Release: 8
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gtkhtml/gtkhtml-%{version}.tar.bz2
Source1: pohack.awk
Patch: gtkhtml-1.1.7-bequiet.patch
Patch1: gtkhtml-1.1.7-fixfont.patch
Patch2: gtkhtml-1.1.9-textslave.patch
Patch3: gtkhtml-1.1-nocapplet.patch
BuildRoot: %{_tmppath}/gtkhtml-%{version}-root
Requires: gnome-print >= 1:0.25
Requires: gdk-pixbuf >= 1:0.8.0
Requires: bonobo >= 0.32
BuildRequires: gdk-pixbuf-devel >= 1:0.8.0
BuildRequires: gnome-print-devel >= 1:0.24
BuildRequires: gal-devel >= %{gal_version}
BuildRequires: gnome-libs-devel libxml-devel libglade-devel
BuildRequires: bonobo-devel >= 0.32
BuildRequires: /usr/bin/autoconf-2.13
BuildRequires: gettext
BuildRequires: libghttp-devel

%description
GtkHTML is a lightweight HTML rendering/printing/editing engine.  It
was originally based on KHTMLW, but is now being developed
independently of it.

%package devel
Summary: Libraries, includes, etc to develop gtkhtml applications
Group: Development/Libraries
Requires: gtkhtml = %{version}-%{release}
Requires: gnome-libs-devel
Requires: gnome-print-devel >= 1:0.25
Requires: gdk-pixbuf-devel >= 1:0.8.0
Requires: libglade-devel libxml-devel
Requires: bonobo-devel
Requires: gal-devel >= 1:0.24

%description devel
Libraries and include files that can be used to develop GtkHTML applications.


%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1 -b .textslave
%patch3 -p1

%build
autoconf-2.13
%configure
# Patch1: hack to modify po. (ugly!)
function pohack() {
POHACKTMP=`mktemp /tmp/pohack.XXXXXX` || exit 1
POHACKNEW=`mktemp /tmp/pohack.XXXXXX` || exit 1
awk -v tempfile=${POHACKTMP} -v tempnewfile=${POHACKNEW} -v key="\"$1\"" -v val="$2" -f %{SOURCE1} $3 > $3.new
mv $3.new $3
rm -f $POHACKTMP $POHACKNEW
}

(cd po
make update-po
pohack '-*-helvetica-*-*-*-*-10-*-*-*-*-*-*-*' '-*-kochi gothic-*-*-*-*-14-*-*-*-*-*-*-*' ja.po
pohack '-*-courier-*-*-*-*-10-*-*-*-*-*-*-*' '-*-kochi gothic-*-*-*-*-14-*-*-*-*-*-*-*' ja.po
pohack 'font_variable_print=-*-helvetica-*-*-*-*-10-*-*-*-*-*-*-*' 'font_variable_print=-*-kochi gothic-*-*-*-*-14-*-*-*-*-*-*-*' ja.po
pohack 'font_fixed_print=-*-courier-*-*-*-*-10-*-*-*-*-*-*-*' 'font_fixed_print=-*-kochi gothic-*-*-*-*-14-*-*-*-*-*-*-*' ja.po
pohack '-*-helvetica-*-*-*-*-12-*-*-*-*-*-%s-%s' '-*-helvetica-*-*-*-*-14-*-*-*-*-*-%s-%s,-alias-*-*-r-*' ja.po
pohack '-*-courier-*-*-*-*-12-*-*-*-*-*-%s-%s' '-*-courier-*-*-*-*-14-*-*-*-*-*-%s-%s,-alias-*-*-r-*' ja.po
pohack '-*-helvetica-*-*-*-*-12-*-*-*-*-*-*-*' '-*-helvetica-*-*-*-*-14-*-*-*-*-*-*-*,-alias-*-*-r-*' ja.po
pohack '-*-courier-*-*-*-*-12-*-*-*-*-*-*-*' '-*-courier-*-*-*-*-14-*-*-*-*-*-*-*,-alias-*-*-r-*' ja.po
pohack '-*-helvetica-*-*-*-*-10-*-*-*-*-*-*-*' '-*-baekmuk gulim-*-*-*-*-12-*-*-*-*-*-*-*' ko.po
pohack '-*-courier-*-*-*-*-10-*-*-*-*-*-*-*' '-*-baekmuk gulim-*-*-*-*-12-*-*-*-*-*-*-*' ko.po
pohack 'font_variable_print=-*-helvetica-*-*-*-*-10-*-*-*-*-*-*-*' 'font_variable_print=-*-baekmuk gulim-*-*-*-*-12-*-*-*-*-*-*-*' ko.po
pohack 'font_fixed_print=-*-courier-*-*-*-*-10-*-*-*-*-*-*-*' 'font_fixed_print=-*-baekmuk gulim-*-*-*-*-12-*-*-*-*-*-*-*' ko.po
pohack '-*-helvetica-*-*-*-*-12-*-*-*-*-*-%s-%s' '-*-helvetica-*-*-*-*-12-*-*-*-*-*-%s-%s,-*-baekmuk gulim-*-r-*' ko.po
pohack '-*-courier-*-*-*-*-12-*-*-*-*-*-%s-%s' '-*-courier-*-*-*-*-12-*-*-*-*-*-%s-%s,-*-baekmuk gulim-*-r-*' ko.po
pohack '-*-helvetica-*-*-*-*-12-*-*-*-*-*-*-*' '-*-helvetica-*-*-*-*-12-*-*-*-*-*-*-*,-*-baekmuk gulim-*-r-*' ko.po
pohack '-*-courier-*-*-*-*-12-*-*-*-*-*-*-*' '-*-courier-*-*-*-*-12-*-*-*-*-*-*-*,-*-baekmuk gulim-*-r-*' ko.po
pohack '-*-helvetica-*-*-*-*-10-*-*-*-*-*-*-*' '-*-ar pl sungtil gb-*-*-*-*-10-*-*-*-*-*-*-*' zh_CN.po
pohack '-*-courier-*-*-*-*-10-*-*-*-*-*-*-*' '-*-ar pl sungtil gb-*-*-*-*-10-*-*-*-*-*-*-*' zh_CN.po
pohack 'font_variable_print=-*-helvetica-*-*-*-*-10-*-*-*-*-*-*-*' 'font_variable_print=-*-ar pl sungtil gb-*-*-*-*-10-*-*-*-*-*-*-*' zh_CN.po
pohack 'font_fixed_print=-*-courier-*-*-*-*-10-*-*-*-*-*-*-*' 'font_fixed_print=-*-ar pl sungtil gb-*-*-*-*-10-*-*-*-*-*-*-*' zh_CN.po
pohack '-*-helvetica-*-*-*-*-12-*-*-*-*-*-%s-%s' '-*-helvetica-*-*-*-*-12-*-*-*-*-*-%s-%s,*-r-*' zh_CN.po
pohack '-*-courier-*-*-*-*-12-*-*-*-*-*-%s-%s' '-*-courier-*-*-*-*-12-*-*-*-*-*-%s-%s,*-r-*' zh_CN.po
pohack '-*-helvetica-*-*-*-*-12-*-*-*-*-*-*-*' '-*-helvetica-*-*-*-*-12-*-*-*-*-*-*-*,*-r-*' zh_CN.po
pohack '-*-courier-*-*-*-*-12-*-*-*-*-*-*-*' '-*-courier-*-*-*-*-12-*-*-*-*-*-*-*,*-r-*' zh_CN.po
pohack '-*-helvetica-*-*-*-*-10-*-*-*-*-*-*-*' '-*-ar pl mingti2l big5-*-*-*-*-10-*-*-*-*-*-*-*' zh_TW.po
pohack '-*-courier-*-*-*-*-10-*-*-*-*-*-*-*' '-*-ar pl mingti2l big5-*-*-*-*-10-*-*-*-*-*-*-*' zh_TW.po
pohack 'font_variable_print=-*-helvetica-*-*-*-*-10-*-*-*-*-*-*-*' 'font_variable_print=-*-ar pl mingti2l big5-*-*-*-*-10-*-*-*-*-*-*-*' zh_TW.po
pohack 'font_fixed_print=-*-courier-*-*-*-*-10-*-*-*-*-*-*-*' 'font_fixed_print=-*-ar pl mingti2l big5-*-*-*-*-10-*-*-*-*-*-*-*' zh_TW.po
pohack '-*-helvetica-*-*-*-*-12-*-*-*-*-*-%s-%s' '-*-helvetica-*-*-*-*-12-*-*-*-*-*-%s-%s,*-r-*' zh_TW.po
pohack '-*-courier-*-*-*-*-12-*-*-*-*-*-%s-%s' '-*-courier-*-*-*-*-12-*-*-*-*-*-%s-%s,*-r-*' zh_TW.po
pohack '-*-helvetica-*-*-*-*-12-*-*-*-*-*-*-*' '-*-helvetica-*-*-*-*-12-*-*-*-*-*-*-*,*-r-*' zh_TW.po
pohack '-*-courier-*-*-*-*-12-*-*-*-*-*-*-*' '-*-courier-*-*-*-*-12-*-*-*-*-*-*-*,*-r-*' zh_TW.po
)
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# remove things for new gnomecc that we don't have
rm -rf $RPM_BUILD_ROOT/%{_libdir}/control-center/capplets
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/bonobo

rm -rf $RPM_BUILD_ROOT/%{_datadir}/control-center
rm -rf $RPM_BUILD_ROOT/%{_datadir}/gnome/apps

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%{_bindir}
%{_libdir}/*.so.*
%{_datadir}/gnome
%{_datadir}/oaf
%{_datadir}/gtkhtml-1.1

%files devel
%defattr(-, root, root)
%{_includedir}/gtkhtml-1.1
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Apr 14 2004 Warren Togami <wtogami@redhat.com> 1.1.9-8
- # 113246 BR gettext libghttp-devel
- fix missing explicit epoch on gal-devel

* Tue Mar 16 2004 Bill Nottingham <notting@redhat.com> 1.1.9-7
- don't build the capplet

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Sep  5 2003 Bill Nottingham <notting@redhat.com> 1.1.9-5
- don't buildprereq libunicode-devel

* Wed Aug 20 2003 Havoc Pennington <hp@redhat.com> 1.1.9-4.1
- fix crash in htmltextslave.c

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Mon Apr 28 2003 Jeremy Katz <katzj@redhat.com> 1.1.9-3
- in fact, gtkhtml doesn't require aspell :)

* Mon Apr 28 2003 Tim Powers <timp@redhat.com> 1.1.9-2
- rebuild to fix broken libpspell deps

* Sun Apr  6 2003 Jeremy Katz <katzj@redhat.com> 1.1.9-1
- update to 1.1.9

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 1.1.8-6
- rebuild for new gal

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com> 1.1.8-5
- debuginfo rebuild

* Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 1.1.8-4
- gtkhtml capplet doesn't need to be in the menus; it's configurable 
  from within evolution

* Mon Feb 10 2003 Akira TAGOH <tagoh@redhat.com> 1.1.8-3
- don't use fontset as default. (#83899)
- improve the default font for CJK.

* Sat Feb  8 2003 Akira TAGOH <tagoh@redhat.com> 1.1.8-2
- hack to modify po dynamically to add currect XLFD for CJK.
- re-enable patches.

* Fri Feb  7 2003 Jeremy Katz <katzj@redhat.com> 1.1.8-1
- 1.1.8
- disable tagoh's patch for now.  it's not applied upstream and ends up 
  backing out some translation changes

* Fri Feb  7 2003 Akira TAGOH <tagoh@redhat.com> 1.1.7-4
- gtkhtml-1.1.7-fixfont.patch: applied to allow fontset by default.
- gtkhtml-po.tar.bz2: to changes default display/print fonts for CJK.
  perhaps it should be removed when the upstream will releases the next version.
- gtkhtml-1.1.7-domain.patch: define GNOME_EXPLICIT_TRANSLATION_DOMAIN as gtkhtml-1.1.

* Wed Feb  5 2003 Bill Nottingham <notting@redhat.com> 1.1.7-2
- fix some spewage to stdout/stderr

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com> 1.1.7-1
- update to 1.1.7

* Tue Nov 12 2002 Jeremy Katz <katzj@redhat.com> 1.1.6-1
- update to 1.1.6

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com> 1.1.5-3
- rebuild to really fix Xlib paths now that gnome-libs is fixed

* Tue Nov  5 2002 Jeremy Katz <katzj@redhat.com> 1.1.5-2
- rebuild to fix Xlib paths in .pc files

* Fri Nov  1 2002 Jeremy Katz <katzj@redhat.com> 1.1.5-1
- update to 1.1.5

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com> 1.1.4-1
- remove unwanted files from buildroot
- update to 1.1.4

* Thu Sep 26 2002 Jeremy Katz <katzj@redhat.com>
- make sure we get all of the stuff from %%{_datadir}/gtkhtml-1.1

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.1.2

* Tue Jul 23 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem with finding the closest size

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.4
- remove .la files

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Jeremy Katz <katzj@redhat.com>
- tweak buildrequires for libcapplet0-devel

* Tue Mar 19 2002 Jeremy Katz <katzj@redhat.com>
- update to gtkhtml 1.0.2

* Thu Mar  7 2002 Jeremy Katz <katzj@redhat.com>
- remove superflous capplet entry (#59698)

* Mon Jan 14 2002 Jeremy Katz <katzj@redhat.com>
- rebuild to get rid of ridiculous libgal18 linkage

* Sat Jan 12 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.1

* Sun Dec  2 2001 Jeremy Katz <katzj@redhat.com>
- update to 1.0.0

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- update to 0.16.1

* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- updated to 0.16

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 0.15

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- 0.14
- remove --without-bonobo
- langify

* Mon Aug 20 2001 Alexander Larsson <alexl@redhat.com> 0.9.2-9
- Moved gnome-conf file to the devel package
- Fixes SHOULD-FIX bug #49796

* Mon Jul 30 2001 Alexander Larsson <alexl@redhat.com> 
- Added dependencies on -devel packages from the gtkhtml-devel package

* Fri Jul 20 2001 Alexander Larsson <alexl@redhat.com>
- Add more build dependencies

* Thu Jul 17 2001 Bill Nottingham <notting@redhat.com>
- fix devel package requirements

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- changed bad groups
- laguified package

* Tue Jul 03 2001 Havoc Pennington <hp@redhat.com>
- fix X11/libraries -> X11/Libraries, #47137 

* Wed Jun 13 2001 Bill Nottingham <notting@redhat.com>
- fix brokenness due to gal damage

* Wed Jun  6 2001 Bill Nottingham <notting@redhat.com>
- adapt included specfile
